Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class Formatter

    java.lang.Object
      |
      +--com.bea.util.Formatter

public class Formatter
extends java.lang.Object

Provides methods to format date strings.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`Formatter()`

Method Summary
`static java.lang.String` | `convertDate(java.lang.String strDate, java.text.SimpleDateFormat sdf, java.text.SimpleDateFormat ddf)` Convert a date string into a new format
`static java.lang.String` | `convertDate(java.lang.String strDate, java.lang.String strSrcFormat, java.lang.String strDestFormat)` Convert a date string into a new format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Formatter

    public Formatter()

Method Detail

### convertDate

    public static final java.lang.String convertDate(java.lang.String strDate,
                                                     java.lang.String strSrcFormat,
                                                     java.lang.String strDestFormat)

  Convert a date string into a new format

  Parameters:
    `strDate` - - the date to convert.
    `strSrcFormat` - - the format of strDate specified in `java.text.SimpleDateFormat`.
    `strDestFormat` - - the format of the converted date specified in `java.text.SimpleDateFormat`.

### convertDate

    public static final java.lang.String convertDate(java.lang.String strDate,
                                                     java.text.SimpleDateFormat sdf,
                                                     java.text.SimpleDateFormat ddf)

  Convert a date string into a new format

  Parameters:
    `strDate` - - the date to convert.
    `sdf` - - the format of strDate.
    `ddf` - - the format of the converted date.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)